<?xml version="1.1" ?>
<configuration>

  <section name="user">
    <var name="host">ldap.example.org</var>
    <var name="port">389</var>
    <var name="version">3</var>
    <var name="tls">no</var>
    <var name="base">ou=people,ou=rbac,dc=textgrid,dc=de</var>
    <var name="binddn">cn=rbac,ou=bindaccounts,dc=textgrid,dc=de</var>
    <var name="password">XXXXXXXXX</var>
    <var name="filter">(objectClass=inetorgperson)</var>

    <!-- Possile values are "uid", "cn", "sn" or any other used in the
         objectClass "inetOrgPerson". If you want to use another attribute, you
         will have to write an Extension for the addUser-function. This is
         only possible if you use the RBAC-Framework instead of the plain
         libraries RBACcore or RBAClimitedHirarchical. -->
    <var name="namingattribute">uid</var>
  </section>

  <section name="role">
    <var name="host">ldap.example.org</var>
    <var name="port">389</var>
    <var name="version">3</var>
    <var name="tls">no</var>
    <var name="base">ou=roles,ou=rbac,dc=textgrid,dc=de</var>
    <var name="binddn">cn=rbac,ou=bindaccounts,dc=textgrid,dc=de</var>
    <var name="password">XXXXXXXXX</var>
    <var name="namingattribute">rbacname</var>
    <var name="filter">(objectClass=rbacrole)</var>

    <!-- May also be member to have greater compatibility, for example -->
    <var name="assignedattribute">rbacperformer</var>
  </section>

  <section name="session">
    <var name="host">ldap.example.org</var>
    <var name="port">389</var>
    <var name="version">3</var>
    <var name="tls">no</var>
    <var name="base">ou=sessions,ou=rbac,dc=textgrid,dc=de</var>
    <var name="binddn">cn=rbac,ou=bindaccounts,dc=textgrid,dc=de</var>
    <var name="password">XXXXXXXXX</var>
    <var name="namingattribute">rbacname</var>
    <var name="filter">(objectClass=rbacsession)</var>
  </section>

  <section name="resource">
    <var name="host">ldap.example.org</var>
    <var name="port">389</var>
    <var name="version">3</var>
    <var name="tls">no</var>
    <var name="base">ou=rbac,dc=textgrid,dc=de</var>
    <var name="binddn">cn=rbac,ou=bindaccounts,dc=textgrid,dc=de</var>
    <var name="password">XXXXXXXXX</var>
    <var name="namingattribute">rbacname</var>
    <var name="aliasattribute">tgresourceuri</var>
    <var name="filter">(objectClass=rbacresource)</var>
  </section>


  <!-- This is the configuration section for the project-extension
       defined in the extensions/Project.class.php file.
       Notice: This part is independant from the configuration in
               the rbacSoap.conf.xml file. If you change this, you
               might also have to change the parameters given there. -->
  <section name="project">
    <var name="base">rbacname=Projekt-Teilnehmer,ou=roles,ou=rbac,dc=textgrid,dc=de</var>
    <var name="leaderRoleName">Projektleiter</var>
    <var name="administratorRoleName">Administrator</var>
    <var name="editorRoleName">Bearbeiter</var>
    <var name="observerRoleName">Beobachter</var>
  </section>


  <section name="errorCode">
    <var name="OK">1</var>
    <var name="RESOURCE_OPERATION_ERROR">2</var>
    <var name="RESOURCE_UNKNOWN">4</var>
    <var name="USER_SESSION_ERROR">8</var>
    <var name="SESSION_ALLREADY_EXISTS">16</var>
    <var name="SESSION_DOES_NOT_EXISTS">32</var>
    <var name="USER_UNKNOWN">64</var>
    <var name="USER_ROLE_ERROR">128</var>
    <var name="USER_ALLREADY_EXISTS">256</var>
    <var name="INVALID_USER_FORMAT">512</var>
    <var name="ROLE_ALLREADY_EXISTS">1024</var>
    <var name="ROLE_UNKNOWN">2048</var>
    <var name="LDAP_ERROR">4096</var>
    <var name="UNKNOWN_ERROR">8192</var>
    <var name="SD_ALLREADY_EXISTS">16384</var>
    <var name="SD_CARDINALITY">32768</var>
    <var name="SD_UNKNOWN">65536</var>
  </section>

  <section name="errorDescription">
    <var name="OK">Ok</var>
    <var name="RESOURCE_OPERATION_ERROR">This resource-operation-combination is invalid .</var>
    <var name="RESOURCE_UNKNOWN">The resource is not known or not uniqueue.</var>
    <var name="USER_SESSION_ERROR">The user you gave is not the owner of this session.</var>
    <var name="SESSION_ALLREADY_EXISTS">The session allready exists so you can not create it.</var>
    <var name="SESSION_DOES_NOT_EXISTS">The session does not exist.</var>
    <var name="USER_UNKNOWN">The user is not known.</var>
    <var name="USER_ROLE_ERROR">This user-role-combination is invalid.</var>
    <var name="USER_ALLREADY_EXISTS">The user allready exists.</var>
    <var name="INVALID_USER_FORMAT">The user has to have the the format: &lt;username&gt;@&lt;domain&gt; (foo@example.org)</var>
    <var name="ROLE_ALLREADY_EXISTS">The role allready exists.</var>
    <var name="ROLE_UNKNOWN">The role is unknown.</var>
    <var name="LDAP_ERROR">An LDAP-Error occured, see description: </var>
    <var name="UNKNOWN_ERROR">An error occured.</var>
    <var name="SD_ALLREADY_EXISTS">The Separation of Duty Set allready exists.</var>
    <var name="SD_CARDINALITY">The given cardinality is invalid! Make sure it is &gt;= 2</var>
    <var name="SD_UNKNOWN">The Separation of Duty set is unknown</var>
  </section>

</configuration>
